"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _reactNative = require("react-native");
/**
 * This exposes the native AppConsent module as a JS module.
 *
 * @packageDocumentation
 */

const LINKING_ERROR = `The package 'appconsent-clear-reactnative' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const appConsent = _reactNative.NativeModules.AppconsentClearReactnative ? _reactNative.NativeModules.AppconsentClearReactnative : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});

/**
 * This is the main entry point to interact with AppConsent API.
 *
 * @example
 * import AppConsent from 'appconsent-clear-reactnative';
 */
var _default = appConsent;
/**
 * This is the main interface to interact with AppConsent API, it exposes typescript declarations to access Native libraries features.
 *
 * @example
 * import AppConsent from 'appconsent-clear-reactnative';
 */
exports.default = _default;
//# sourceMappingURL=index.js.map